Subject: Re: bug#60585: 30.0.50; global-text-scale-adjust shrinks window (was not before)

From: Jean Louis <[email-masked]>
Date: Mon, 9 Jan 2023 00:37:51 +0300

* martin rudalics <[email-masked]> [2023-01-08 20:43]:
> > I have just pulled latest Emacs and used with -Q option:
> > `global-text-scale-adjust' which I have used last days upon first
> > startup.
> >
> > Before I have not observed that windows shrink by using `+' or `-'
> > within that command.
> 
> I asked in another thread before and repeat the question here: Per se,
> 'global-text-scale-adjust' should never resize frames.  You have to
> customize 'global-text-scale-adjust-resizes-frames' to achieve that
> effect.  Please tell me what precisely you did.  If you did not
> customize that option, something must be wrong within face-remap.el of
> which I'm not aware.

In emacs -Q it was tested and of course there is nothing customized.

I can't see it happening in Gtk build.

> > Configured using:
> >   'configure --with-x-toolkit=lucid --with-mailutils'
> 
> I faintly recall that setting size hints with lucid here was completely
> broken a couple of years ago.  In the attached patch I tried to excise
> some of the changes I made to fix that then.  I also added some tracing
> information that should be dumped to a buffer called *foo*.  So please
> try the patch and if it does not work (or things even get worse) post
> the contents of *foo* here.

I will try.

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/